> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /organisation/:id/pricing

> Returns a list of pricing rules; data based periods of pricing settings made up of tech/saas fees, demand revenue shares and fixed fees



## OpenAPI

````yaml /openapi.json get /v1/organisation/{id}/pricing
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/organisation/{id}/pricing:
    get:
      tags:
        - Organisation/Pricing
        - public
      summary: /organisation/:id/pricing
      description: >-
        Returns a list of pricing rules; data based periods of pricing settings
        made up of tech/saas fees, demand revenue shares and fixed fees
      parameters:
        - name: id
          in: path
          description: Organisation ID
          required: true
          example: 41
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      default:
                        type: object
                        properties:
                          tech:
                            type: array
                            items:
                              type: object
                              properties:
                                publisher_rule:
                                  type: number
                                referrer_rule:
                                  type: number
                                sales_agent_rule:
                                  type: number
                                channel_partner_rule:
                                  type: number
                                band_from:
                                  type: number
                                band_to:
                                  type: number
                                  nullable: true
                              required:
                                - publisher_rule
                                - referrer_rule
                                - sales_agent_rule
                                - channel_partner_rule
                                - band_from
                                - band_to
                          demand:
                            type: array
                            items:
                              type: object
                              properties:
                                unit:
                                  type: string
                                publisher_rule:
                                  type: number
                                referrer_rule:
                                  type: number
                                sales_agent_rule:
                                  type: number
                                channel_partner_rule:
                                  type: number
                                misc_rule:
                                  type: number
                              required:
                                - unit
                                - publisher_rule
                                - referrer_rule
                                - sales_agent_rule
                                - channel_partner_rule
                                - misc_rule
                          fixed:
                            type: array
                            items:
                              type: string
                        required:
                          - tech
                          - demand
                          - fixed
                      period:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            organisation:
                              type: integer
                            effective_from:
                              type: string
                            effective_to:
                              type: string
                              nullable: true
                            referrer:
                              type: number
                            sales_agent:
                              type: number
                            channel_partner:
                              type: number
                            demand:
                              type: array
                              items:
                                type: object
                                properties:
                                  unit:
                                    type: string
                                  publisher_rule:
                                    type: number
                                  referrer_rule:
                                    type: number
                                  sales_agent_rule:
                                    type: number
                                  channel_partner_rule:
                                    type: number
                                  misc_rule:
                                    type: number
                                required:
                                  - unit
                                  - publisher_rule
                                  - referrer_rule
                                  - sales_agent_rule
                                  - channel_partner_rule
                                  - misc_rule
                            tech:
                              type: array
                              items:
                                type: object
                                properties:
                                  publisher_rule:
                                    type: integer
                                  referrer_rule:
                                    type: number
                                  sales_agent_rule:
                                    type: number
                                  channel_partner_rule:
                                    type: number
                                  band_from:
                                    type: integer
                                  band_to:
                                    type: integer
                                    nullable: true
                                required:
                                  - publisher_rule
                                  - referrer_rule
                                  - sales_agent_rule
                                  - channel_partner_rule
                                  - band_from
                                  - band_to
                            fixed:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                  fee:
                                    type: number
                                  description:
                                    type: string
                                required:
                                  - type
                                  - fee
                                  - description
                          required:
                            - id
                            - organisation
                            - effective_from
                            - effective_to
                            - referrer
                            - sales_agent
                            - channel_partner
                            - demand
                            - tech
                            - fixed
                      hasParent:
                        type: boolean
                    required:
                      - default
                      - period
                      - hasParent
                  success:
                    type: boolean
                required:
                  - results
                  - success
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````